"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const utils_1 = require("../../utils");
exports.default = (_options) => {
    return schematics_1.chain([addHuskyConfig, updateDependencies]);
};
const addHuskyConfig = () => (tree, context) => {
    context.logger.info('Removes old husky prepare-commit-msg configuration');
    const packageJson = utils_1.getPackageJson(tree);
    if (packageJson.husky &&
        packageJson.husky.hooks &&
        packageJson.husky.hooks['prepare-commit-msg'] === 'exec < /dev/tty && git cz --hook') {
        delete packageJson.husky.hooks['prepare-commit-msg'];
    }
    utils_1.overwritePackageJson(tree, packageJson);
};
const updateDependencies = () => (tree, context) => {
    context.logger.info('Updates npm packages as dev dependencies');
    const packageJson = utils_1.getPackageJson(tree);
    const devDepsToAdd = {
        husky: '^3.0.9',
    };
    packageJson.devDependencies = Object.assign({}, packageJson.devDependencies, devDepsToAdd);
    utils_1.overwritePackageJson(tree, packageJson);
};
//# sourceMappingURL=index.js.map