"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const testing_1 = require("@angular-devkit/schematics/testing");
const path = require("path");
const packagePath = '/package.json';
const collectionPath = path.join(__dirname, '../../migration.json');
const packageJsonAfterMigration = (packgeJsonRawContent) => {
    const emptyTree = schematics_1.Tree.empty();
    const runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    emptyTree.create(packagePath, packgeJsonRawContent);
    const updatedTree = runner.runSchematic('migration-02', {}, emptyTree);
    return JSON.parse(updatedTree.readContent(packagePath));
};
describe('update to version 0.0.5', () => {
    it('should remove @commitlint/config-angular@^8.2.0 from package.json', () => {
        const beforeMigration = `{
      "devDependencies": {
        "@commitlint/config-angular": "^8.2.0"
      }
    }`;
        const pkg = packageJsonAfterMigration(beforeMigration);
        const { devDependencies } = pkg;
        expect(devDependencies['@commitlint/config-angular']).not.toBeDefined();
        expect(devDependencies['@commitlint/config-conventional']).toEqual('^8.2.0');
    });
    it('should not remove modified @commitlint/config-angular version from package.json', () => {
        const beforeMigration = `{
      "devDependencies": {
        "@commitlint/config-angular": "^8.0.0"
      }
    }`;
        const pkg = packageJsonAfterMigration(beforeMigration);
        const { devDependencies } = pkg;
        expect(devDependencies['@commitlint/config-angular']).toEqual('^8.0.0');
    });
});
//# sourceMappingURL=index_spec.js.map